#
# spec file for package xinetd (Version 2.3.14)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xinetd
BuildRequires:  tcpd-devel
License:        Other License(s), see package
Group:          Productivity/Networking/System
PreReq:         %insserv_prereq %fillup_prereq
Provides:       inet-daemon
Requires:       logrotate
Autoreqprov:    on
Version:        2.3.14
Release:        14.2
URL:            http://www.xinetd.org/
Summary:        An 'inetd' with Expanded Functionality
Source0:        %{name}-%{version}.tar.bz2
Source2:        rc.xinetd
Source3:        xinetd.conf
Source4:        FAQ
Source5:        README.SuSE
Source6:        %{name}-service_files.tar.bz2
Source7:        logrotate
Patch:          %{name}-%{version}-man.dif
Patch4:         %{name}-%{version}-server_args-fix.diff
Patch5:         %{name}-%{version}-strict-aliasing-fix.diff
Patch6:         %{name}-%{version}-nodeadlock.diff
Patch8:         %{name}-%{version}-pie.patch
Patch9:         %{name}-%{version}-ipv6-ipv4-fallback.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xinetd takes the abilities of inetd and appends additional
functionality:

- Access Control

- Prevention of 'denial of access' attacks

- Extensive logging abilities

- Clear configuration file



Authors:
--------
    Panagiotis Tsirigotis <panos@cs.colorado.edu>
    Rob Braun <bbraun@synack.net>

%debug_package
%prep
%setup -b 0 -T -D -a 6 
%patch
cp %{S:4} .
cp %{S:5} .
%patch4
%patch5
%patch6
%patch8
%patch9

%build
%{suse_update_config}
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wformat=2" ./configure --prefix=/usr \
                                  --sysconfdir=/etc \
                                  --mandir=%{_mandir}\
                                  --with-loadavg \
                                  --with-libwrap
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT/etc/{init.d,logrotate.d}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}
make install DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=${RPM_BUILD_ROOT}/%{_mandir}
install -m 644 %{S:3} $RPM_BUILD_ROOT/etc/xinetd.conf
cp -a etc $RPM_BUILD_ROOT
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/init.d/xinetd
ln -sf ../../etc/init.d/xinetd $RPM_BUILD_ROOT/usr/sbin/rcxinetd
install -m 644 %{S:7} $RPM_BUILD_ROOT/etc/logrotate.d/xinetd

%post
%{fillup_and_insserv xinetd}

%preun
%stop_on_removal xinetd

%postun
%restart_on_update xinetd
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGELOG COPYRIGHT FAQ README.SuSE
%doc %{_mandir}/*/*
%config(noreplace) /etc/logrotate.d/xinetd
/etc/xinetd.d/*
/usr/sbin/*
/etc/init.d/xinetd
%config(noreplace) /etc/xinetd.conf

%changelog -n xinetd
* Mon Feb 06 2006 - mmarek@suse.cz
- fixed logrotate file rotating rotated files
  [#120068, #147899]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 22 2005 - mmarek@suse.cz
- use 'FLAGS = IPv6 IPv4' in included service files
- document the feature in xinetd.conf(5)
* Tue Nov 01 2005 - mmarek@suse.de
- updated to version 2.3.14, removed integrated patches:
  * xinetd-2.3.13-gcc4.diff
  * xinetd-2.3.13-ia64.dif
  * xinetd-2.3.13-integer-overflow.diff
  * xinetd-2.3.13-rlimit.diff
- added option to fallback to IPv4 if IPv6 is not available [#127784]
* Mon Oct 10 2005 - mmarek@suse.cz
- added upstream patch to fix integer overflow in handling of rlimit_*
  attributes [#120730]
* Tue Oct 04 2005 - mmarek@suse.cz
- Fix endless loop in xinetd/util.c [#118878]
* Tue Aug 23 2005 - postadal@suse.cz
- added logrotate to Requires
* Tue Aug 09 2005 - postadal@suse.cz
- fixed logrotate file [#95214]
* Fri Jun 03 2005 - kukuk@suse.de
- Compile with -fpie/-pie
* Fri Apr 01 2005 - meissner@suse.de
- lvalue problems fixed
- fixed undefined argv copying behaviour.
* Wed Jan 26 2005 - postadal@suse.cz
- added logrotate file [#46353]
* Wed Nov 10 2004 - postadal@suse.cz
- added patch to avoid deadlock (LTC#9961, SUSE#43024)
* Thu Apr 22 2004 - postadal@suse.cz
- added one second timeout during server startup for deciding if the process
  started without error [#36175]
* Thu Feb 12 2004 - postadal@suse.cz
- updated to version 2.3.13
- fixed code that broke strict aliasing
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Thu Aug 07 2003 - postadal@suse.cz
- updated to version 2.3.12
- removed obsoleted pacthes (parse-fix, check_from_solar_designer,
  used_valgrind_to_fix, close_listening_descriptor)
- use new stop_on_removal/restart_on_upate macros
* Thu Jun 12 2003 - kukuk@suse.de
- Remove /etc/xinetd.d from filelist, is in filesystem
* Mon Jun 02 2003 - postadal@suse.cz
- updated to version 2.3.11 (fixed a lot of security bugs)
  * TCPMUX parser updates
  * remove RECORD logging option
  * change Sclose to make sure it always closes the fd
  * added better error handling to filelog.c
  * error messages now go to syslog instead of stderr in strparse.c
  * correct problems with bind specified in the default section
  * correct banner to match man pages
- removed obsoleted flag RECORD from xinetd.conf on line log_on_failure
- removed obsoleted reuse option from rcxinetd script
- added new fix from CVS (check_from_solar_designer, close_listening_descriptor
  and used_valgrind_to_fix)
* Fri Mar 07 2003 - postadal@suse.cz
- fixed parsing of bad config file
* Thu Feb 20 2003 - postadal@suse.cz
- fixed spec (untar source6)
* Wed Feb 19 2003 - postadal@suse.cz
- fixed bug in parsing config file [#22876]
- moved service files to xinetd-service_files.tar.bz2
* Mon Jan 13 2003 - jderfina@suse.cz
- upgrade to version 2.3.10.
- Close the service descriptors on fork. This only matters for internal
  forking services, since anything that calls exec() will get those closed
  automagically. This will help reduce the file discriptors used by the daemon
  when using some internal services.
- Fix a numbering bug with xinetd's internal flag representation that was
  manifesting its self as all services being disabled upon recieving a SIGUSR2
  (hard reconfig)
- and many others. See /usr/share/doc/packages/xinetd/CHANGELOG.
* Tue Oct 22 2002 - jderfina@suse.cz
- updated to version 2.3.9
- removed template for all services from xinetd.conf. Internal
  services moved as separate files to /etc/xinetd.d/. All external
  services must provide their configuration files to /etc/xinetd.d/.
* Mon Oct 07 2002 - jderfina@suse.cz
- reconfig signal for xinetd is SIGHUP now. (#20527)
- added /etc/xinetd.d/ for simpler work with services. (#20534)
* Wed Sep 18 2002 - jderfina@suse.cz
- in rc.xinetd moved portmap and autofs from section Required-Start to
  section X-UnitedLinux-Should-Start
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#18018]
* Fri Aug 09 2002 - nadvornik@suse.cz
- updated to 2.3.6
- merged ipv6 and ipv4 support
- uses ipv4 by default, ipv6 can be configured per service
- removed obsolete patch xinetd-2.3.2-ipv4.dif
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config
* Thu Jun 20 2002 - postadal@suse.cz
- added definition for an imapd service (bug #16682),
  service imapd is enabled by default
* Tue Mar 12 2002 - postadal@suse.cz
- removed obsolete START_INETD variable [#14796]
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright in /etc/xinetd.conf & /etc/init.d/xinetd
* Fri Jan 11 2002 - cihlar@suse.cz
- fixed xinetd.conf to disable services with
  specified "id" [#12799]
* Wed Dec 12 2001 - cihlar@suse.cz
- removed START_XINETD
* Thu Nov 15 2001 - cihlar@suse.cz
- added service nntp/leafnode to xinetd.conf
* Tue Sep 18 2001 - cihlar@suse.cz
- updated to version 2.3.3:
  1) Fixed the filelog problem of printing garbage
  2) Fixed the RPC parser to correctly handle RPC version
  ranges again
* Mon Aug 20 2001 - cihlar@suse.cz
- updated to version 2.3.2
* Thu Aug 16 2001 - cihlar@suse.cz
- updated to version 2.3.1
- removed obsolete audit patch
* Wed Aug 01 2001 - cihlar@suse.cz
- updated to version 2.3.0
- added audit patch
- improved patch for kernels without ipv6
  (per_source works now)
- added FAQ
* Fri Jun 22 2001 - cihlar@suse.cz
- stop daemon by killproc -QUIT, not -TERM
* Thu Jun 21 2001 - cihlar@suse.cz
- fixed security bugs: owerflow, umask and added <=0
  in srtx_* functions - diff of Sebastian Krahmer
* Thu Jun 14 2001 - cihlar@suse.cz
- provides inet-daemon [#8675]
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed rcxinetd [#8631]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Apr 26 2001 - draht@suse.de
- added option -reuse to start script to enable a restart of xinetd
  without killing processes.
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Wed Mar 21 2001 - cihlar@suse.cz
- compile with -inet6
- fixed to work with kernels without ipv6 [#6792]
* Thu Feb 15 2001 - cihlar@suse.cz
- moved whole files from dif
- use ipop3d instead of popper in /etc/xinetd.conf [#6255]
- use in.ftpd instead of wu.ftpd in /etc/xinetd.conf
- improved startscript
- added suse_update_config
- use RPM_OPT_FLAGS
- removed patch for ipv6 - it works better without it
* Wed Feb 14 2001 - cihlar@suse.cz
- applied patch for ipv6
- bzipped sources
* Mon Jan 08 2001 - smid@suse.cz
- tcp wrapper support added
* Wed Dec 06 2000 - smid@suse.cz
- fixed typo in xinetd.conf [#4485]
* Tue Nov 28 2000 - ro@suse.de
- startscript fixed
* Tue Jun 20 2000 - smid@suse.cz
- upgrade to 2.1.8.8p3
* Tue May 16 2000 - smid@suse.cz
- upgrade to 2.1.8.8p2
- buildroot added
* Wed Mar 01 2000 - choeger@suse.de
- new version with ipv6 support and loadavg support
* Tue Jan 04 2000 - choeger@suse.de
- disabled ident service per default
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - choeger@suse.de
- changed to version 2.1.8.6b5, because 2.2.1 is no
  longer maintained
* Thu Dec 10 1998 - choeger@suse.de
- added _correct_ symlink to /usr/sbin/rcxinetd :-)
* Thu Dec 10 1998 - bs@suse.de
- added symlink /usr/sbin/rxxinetd
* Wed Dec 09 1998 - choeger@suse.de
- made init-scripts complete
* Mon Nov 16 1998 - ro@suse.de
- added -lcrypt if available
* Thu Nov 12 1998 - choeger@suse.de
- security fix for /tmp racecondition
* Wed Feb 04 1998 - choeger@suse.de
- v2.2.1 with optimated xinetd.conf
* Fri Oct 31 1997 - choeger@suse.de
- new package, 2.2.1
